# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/pariguide/pariGUIde/gentoo/pari-2.1.4.ebuild,v 1.1 2002/10/21 23:38:29 henningw Exp $

IUSE="X"

DESCRIPTION="Pari-GP, a software package for computer-aided number theory."

HOMEPAGE="http://www.parigp-home.de"

SRC_URI="ftp://www.gn-50uma.de/gn/gn-50uma.de/pari-2.1/${P}.tar.gz"

LICENSE="GPL-2"

SLOT="0"

KEYWORDS="x86"

DEPEND=">=readline-4.2"

#RDEPEND=""

S="${WORKDIR}/${P}"

src_compile() {
		./Configure \
		--host=${CHOST} \
		--prefix=/usr \
		--mandir=/usr/share/man || die "./Configure failed"
    emake gp || die
    emake bench || die
    emake doc || die
}

src_install() {
	make DESTDIR=${D} install || die
}
