#include "sumdlg.h"

#include <qlabel.h>
#include <qlineedit.h>

QString SumDialog::s_editFrom = "1";
QString SumDialog::s_editTo   = "100";
QString SumDialog::s_editVar  = "i";
QString SumDialog::s_editTerm = "i^2";

SumDialog::SumDialog (QWidget* parent,  const char* name, bool modal, WFlags fl)
: SumProdDialog (parent, name, modal, fl)
{
  editVar->setProperty( "text", s_editVar);
  editFrom->setProperty( "text", s_editFrom);
  editTo->setProperty( "text", s_editTo);
  editTerm->setProperty( "text",  s_editTerm);
  labelTerm->setProperty( "text", tr("Terms to sum"));
}

SumDialog::~SumDialog() {
  s_editFrom = editFrom->text();
  s_editTo = editTo->text();
  s_editVar = editVar->text();
  s_editTerm = editTerm->text();
}
