# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/pariguide/pariGUIde/gentoo/pariguide-0.43.ebuild,v 1.1 2002/10/21 23:38:29 henningw Exp $

IUSE="X"

DESCRIPTION="PariGUIde, a GUI for the math. program Pari-GP"

HOMEPAGE="http://www.skalatan.de/pariguide/"

SRC_URI="ftp://ftp.sourceforge.net/pub/sourceforge/pariguide/${P}.tar.gz"

LICENSE="GPL-2"

SLOT="0"

KEYWORDS="x86"

DEPEND=">=pari-2.1.0
        >=qt-2.2.0
        virtual/x11"

#RDEPEND=""

S="${WORKDIR}/${P}"

src_compile() {
	./configure \
		--host=${CHOST} \
  emake || die
}

src_install() {
	make DESTDIR=${D} install || die
}
