#include "proddlg.h"

#include <qlabel.h>
#include <qlineedit.h>
#include <qpixmap.h>

const static char *xpmprod[]={
"44 40 5 1",
". c #040404",
"b c #808080",
"a c #999999",
"c c #c0c0c0",
"# c None",
"............................................",
"###ab..................................ba###",
"#####b......####################......b#####",
"#####a......####################......a#####",
"#####c......####################......c#####",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"######......####################......######",
"#####c......####################......c#####",
"#####a......c##################a......a#####",
"#####b......b##################b......b#####",
"###ab........bc##############cb........ba###",
"..................########.................."};


QString ProdDialog::s_editFrom = "1";
QString ProdDialog::s_editTo   = "100";
QString ProdDialog::s_editVar  = "i";
QString ProdDialog::s_editTerm = "i^2";

ProdDialog::ProdDialog (QWidget* parent,  const char* name, bool modal,
WFlags fl)
: SumProdDialog (parent, name, modal, fl)
{
  setProperty( "caption", tr("Define product"));

  QPixmap image0 ((const char**) (xpmprod));
  pixmap->setProperty ("pixmap", image0);
  editVar->setProperty ("text", s_editVar);
  editFrom->setProperty ("text", s_editFrom);
  editTo->setProperty ("text", s_editTo);
  editTerm->setProperty ("text",  s_editTerm);
  labelTerm->setProperty ("text", tr("Terms to multiply"));
}

ProdDialog::~ProdDialog() {
  s_editFrom = editFrom->text();
  s_editTo = editTo->text();
  s_editVar = editVar->text();
  s_editTerm = editTerm->text();
}
